import sys
import os
import Tkinter

import msfit
import msfindpeptides_settings
import mstkutil

class isoenvelope_settings:

	def __init__(self,session,path=None):

		self.session=session
		self.lock_callbacks=0
		self.loaded=0

		if path!=None:
			self.loaded=self.read_settings(path)

		self.delta_mz_ppm=1


		try:
			num=int(self.session.project.saved_value('PL2_DELTA_MZ_CORRECTION'))
			if num<0 or num>1:
				raise ValueError
			self.delta_mz_correction=num
		except (ValueError,TypeError):
			self.delta_mz_correction=1


